:root {
	--coscine-dark: #00549F;
	--coscine-light: #8EBAE6;
}

/******************************* For debugging
* {
	outline: 1px solid #f00 !important;
}
*********************************/

@font-face {
	font-family: "Roboto";
	src: url("Roboto-Regular.ttf");
}

body {
	background-color: var(--coscine-light);
	color: white;
	font-family: "Roboto", sans-serif;
	font-size: 20px;
	max-width: 50%;
	margin: auto;
	padding-top: 25px;
	padding-bottom: 25px;
}

/* For mobile users we want to make use of more horizontal space */
/* orientation portrait applies when browser height exceeds width */
@media only screen and (orientation: portrait) {
	body {
	  max-width: 95%;
	}
}

header, footer {
	text-align: center;
}

header nav {
	margin-bottom: 20px;
}

header nav a {
	background-color: white;
	color: var(--coscine-dark);
	font-weight: bold;
	text-decoration: none;
	padding-left: 8px;
	padding-right: 8px;
	padding-top: 4px;
	padding-bottom: 3px;
	margin-right: 10px;
	border-radius: 5px;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 50%);
}

header nav a:hover {
	background-color: var(--coscine-light);
	color: white;
}

header img {
	max-width: 180px;
	border-radius: 50%;
	box-shadow: 5px 5px 5px rgba(0, 0, 0, 50%);
}

hr {
	color: var(--coscine-dark);
}

img {
	max-width: 100%;
}

div[class=table-container] {
	overflow-y: scroll;
	overflow-x: scroll;
	max-height: 50vh;
}

table {
	width: 100%;
}

table th {
	color: white;
	background-color: var(--coscine-dark);
}

table td {
	color: black;
	background-color: white;
	font-size: 14px;
}

table td button {
	background-color: var(--coscine-light);
	color: white;
	border: none;
	text-align: center;
	font-size: 14px;
	padding-right: 15px;
	padding-left: 15px;
	padding-top: 1px;
	padding-bottom: 1px;
}

table td button:hover {
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
	color: white;
	background-color: var(--coscine-dark);
}

table td input {
	width: 90%;
}

table, th, td {
	border: 1px solid var(--coscine-dark);
	border-collapse: collapse;
}

code {
	outline: 1px solid var(--coscine-dark);
	overflow: scroll;
	min-height: 15vh;
	height: 20vh;
	resize: vertical;
}

pre {
	margin-top: 0px;
	margin-bottom: 0px;
}

textarea {
	box-shadow: 5px 5px 5px rgba(0, 0, 0, 50%);
	border-radius: 5px;
	font-size: 20px;
	min-width: 100%;
	padding-top: 5px;
	padding-bottom: 5px;
	margin-bottom: 10px;
}

select {
	padding-right: 15px;
	padding-left: 15px;
	padding-top: 5px;
	padding-bottom: 5px;
	border: none;
	font-size: 16px;
}

button {
	background-color: var(--coscine-dark);
	color: white;
	border: none;
	text-align: center;
	font-weight: bold;
	font-size: 16px;
	padding-right: 15px;
	padding-left: 15px;
	padding-top: 5px;
	padding-bottom: 5px;
}

button:hover {
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}
